.TH MDAGTBLS 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mDAGTbls \- Construct tables of projected and background corrected images

.SH SYNOPSIS

mDAGTbls images.tbl region.hdr rimages.tbl pimages.tbl cimages.tbl


.SH DESCRIPTION

mDAGTbls is primarily a utility for mDAG.  In normal Montage processing,
one can build support files as you go: retrieve a set of images from an
archive, then make a list of the images retrieved; reproject the images, then
make a list of the successfully reprojected images; \fIetc.\fP

To support a workflow manager which plans processing using an up-front
Directed Acyclic Graph (DAG) you need to have pre-determined all of this,
plus which image will overlap (for background matching).  You don't have
to be completely right (some overlaps may end up empty or some images may
have no real data in the region of interest) but you need to build a complete
superset.  mDAGTbls does part of this.  Based on a raw image list, it
determines as best it can the image lists (raw images in the region of
interest from larger list of images we have, projected and corrected lists
from that). mOverlaps can build the difference list from the raw list.

We document this here since the same analysis may be of use for planning
other than in mDAG.


.SH ARGUMENTS
.TP
images.tbl

The set of images we have.  For instance, a set download via mArchiveList/mArchiveGet
and often a superset of what we are interested in for a specific mosaic.

.TP
region.hdr

A FITS header template file.  This is used to determine the region of interest
for this run.

.TP
rimages.tbl

The "raw" (input) image we will use in this run.

.TP
pimages.tbl

The corresponding projected image list.

.TP
cimages.tbl

The corresponding background-corrected image list.


.SH RESULT

If successful, the three output image lists will be created. NOTE: It is assumed
that the actual raw, reprojected and background-corrected images will be kept in
separate directories, so the file names in these tables are identical.


.SH MESSAGES
.TP
ERROR
Cannot open status file: \fIfilename\fP
.TP
ERROR
Invalid image metadata file: \fItblfile\fP
.TP
ERROR
Not enough information to determine coverages (CDELTs or CD matrix)
.TP
ERROR
Need columns: cntr ctype1 ctype2 nl ns crval1 crval2 crpix1 crpix2 cdelt1 cdelt2 crota2 fname (equinox optional)
.TP
ERROR
Invalid output metadata file: \fItblfile\fP
.TP
ERROR
Bad WCS for image \fIinteger\fP
.TP
ERROR
Output wcsinit() failed.
.TP
ERROR
\fIgeneral error message\fP

.SH EXAMPLES
.TP
mDAGTbls images.tbl region.hdr rimages.tbl pimages.tbl cimages.tbl
[struct stat="OK", count="48", total="48"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
